const path = require('path');
module.exports = {
    devtool: 'source-map',
    entry: './ts/Catch_the_bus.ts',
    mode: 'development',
    module: {
        rules: [
            {
                use: 'ts-loader',
                exclude: /node_modules/
            }
        ],
    },
    optimization: {
        minimize: true
    },
    output: {
        filename: 'Catch_the_bus.js',
        path: path.resolve(__dirname, 'js'),
    },
    resolve: {
        extensions: [".ts", ".js"]
    }
};
